pdqn.net
当前位置:首页 >> 我安装了jDk1.7.0_15,但是再打开EClipsE时出现如下错误: >>

我安装了jDk1.7.0_15,但是再打开EClipsE时出现如下错误:

大概是jvm版本对不上.你的eclipse是64位的,你下的jdk是32位的.删除32位的jdk,下64位的装上.

它去你的C盘system32下找javaw.exe 当然找不到.(虽然不知道你装在哪,但应该不是在这里.)如果你的环境变量配好了,就可能是位数的事.你可以尝试一下把jdk安装目录中的jre文件夹复制到Eclipse的根目录下启动Eclipse如果不行,确保你的jdk和Eclipse都是32位的,然后重新配一遍环境变量.

安装好jdk后,没设置环境变量.cmd模式下输入 : java -version应该没有正确显示你的jdk版本,或者说java不是一个变量函数.如果是上面的情况,需要设置一下环境变量..在环境变量的 系统环境 加入新添:JAVA_HOME 指向你安装好jdk的目录,比如我的: F:\IDE\Java\JDK5\jdkclasspath 加入后面这句 %JAVA_HOME%\lib\tools.jar;修改:Path 中在最后加入 "%JAVA_HOME%\bin"好了,完成上面步骤后再在cmd模式下输入 java -version 看看,启动Myeclipse就没问题了.

一般的错误都是由于环境变量没有配置好,具体的解决的办法如下:JAVA_HOME设置(每个人都不一样):jdk目录的具体路径,比如 ;D:\Program Files\Java\jdk1.6.0_10;ClassPath设置(复制到环境变量的最前端):;%JAVA_HOME%\bin;

可能是JDK版本跟eclipse的版本不支持吧 重新下个版本或者从网上找一下是否兼容.

你用的Eclipse版本太老了,看你目录名是Eclipse 3.2的,当时估计还没出JDK1.7呢建议用最新版的Eclipse 4.3,从Eclipse.org官方上下.

改一下eclipse文件夹下的eclipse.ini文件,指定JDk路径就好了,如下:-vmE:\Java\jdk1.6.0_43\bin\javaw.exeE:\Java\jdk1.6.0_43\jre\bin\server\jvm.dll不过,你确认你安装的JDK是64或x86版本的吧

整那么复杂干嘛 eclipse 获取 运行环境出错了而已在桌面快捷方式 目标 里面 追加(和之前的内容以空格隔开)eclipse -vm d:\Java\jdk1.7.0_01\jre\bin\javaw提示:后面的jre里面的 javaw 路径 (d:\Java\jdk1.7.0_01\jre\bin\javaw) 不能有空格和中文,否则不成功!

重新配环境变量Path={JDK安装路径} \bin Classpath={JDK安装路径} \jre\lib\rt.jar;.; 如果还是不行的话最好还是下载jdk1.6 http://www.oracle.com/technetwork/java/javase/downloads/jdk6downloads-1902814.html或者换个最新版本的eclipsehttp://www.eclipse.org/downloads/

我的jdk1.6.0安装目录为:D:\JAVA\jdk1.6.0 ,在系统变量中如下设置: 1)、JAVA_HOME = [D:\Program Files\java\jre1.6.0] 2)、JRE_HOME = [D:\Program Files\java\jre1.6.0\jre] 3)、path = ********[;%JAVA_HOME%\bin] 4)、classpath = [.;%JAVA_HOME%\lib ]把另外的配置好就可以利用eclipse,再说,eclipse是不需要安装的,直接解压到文件夹几可以运行的,这么还要安装呢?如果那样的话,我建议你去eclipse的主页是下一 个.

相关文档
网站首页 | 网站地图
All rights reserved Powered by www.pdqn.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com